<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Cell\DataValidation</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___clone" title="__clone ::Implement PHP __clone to create a deep clone, not just a shallow copy.">
            <span class="description">Implement PHP __clone to create a deep clone, not just a shallow copy.</span><pre>__clone</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::Create a new DataValidation.">
            <span class="description">Create a new DataValidation.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getAllowBlank" title="getAllowBlank ::Get Allow Blank.">
            <span class="description">Get Allow Blank.</span><pre>getAllowBlank</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getError" title="getError ::Get Error.">
            <span class="description">Get Error.</span><pre>getError</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getErrorStyle" title="getErrorStyle ::Get Error style.">
            <span class="description">Get Error style.</span><pre>getErrorStyle</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getErrorTitle" title="getErrorTitle ::Get Error title.">
            <span class="description">Get Error title.</span><pre>getErrorTitle</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getFormula1" title="getFormula1 ::Get Formula 1.">
            <span class="description">Get Formula 1.</span><pre>getFormula1</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getFormula2" title="getFormula2 ::Get Formula 2.">
            <span class="description">Get Formula 2.</span><pre>getFormula2</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getHashCode" title="getHashCode ::Get hash code.">
            <span class="description">Get hash code.</span><pre>getHashCode</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getOperator" title="getOperator ::Get Operator.">
            <span class="description">Get Operator.</span><pre>getOperator</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getPrompt" title="getPrompt ::Get Prompt.">
            <span class="description">Get Prompt.</span><pre>getPrompt</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getPromptTitle" title="getPromptTitle ::Get Prompt title.">
            <span class="description">Get Prompt title.</span><pre>getPromptTitle</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getShowDropDown" title="getShowDropDown ::Get Show DropDown.">
            <span class="description">Get Show DropDown.</span><pre>getShowDropDown</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getShowErrorMessage" title="getShowErrorMessage ::Get Show ErrorMessage.">
            <span class="description">Get Show ErrorMessage.</span><pre>getShowErrorMessage</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getShowInputMessage" title="getShowInputMessage ::Get Show InputMessage.">
            <span class="description">Get Show InputMessage.</span><pre>getShowInputMessage</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getType" title="getType ::Get Type.">
            <span class="description">Get Type.</span><pre>getType</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setAllowBlank" title="setAllowBlank ::Set Allow Blank.">
            <span class="description">Set Allow Blank.</span><pre>setAllowBlank</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setError" title="setError ::Set Error.">
            <span class="description">Set Error.</span><pre>setError</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setErrorStyle" title="setErrorStyle ::Set Error style.">
            <span class="description">Set Error style.</span><pre>setErrorStyle</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setErrorTitle" title="setErrorTitle ::Set Error title.">
            <span class="description">Set Error title.</span><pre>setErrorTitle</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setFormula1" title="setFormula1 ::Set Formula 1.">
            <span class="description">Set Formula 1.</span><pre>setFormula1</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setFormula2" title="setFormula2 ::Set Formula 2.">
            <span class="description">Set Formula 2.</span><pre>setFormula2</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setOperator" title="setOperator ::Set Operator.">
            <span class="description">Set Operator.</span><pre>setOperator</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setPrompt" title="setPrompt ::Set Prompt.">
            <span class="description">Set Prompt.</span><pre>setPrompt</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setPromptTitle" title="setPromptTitle ::Set Prompt title.">
            <span class="description">Set Prompt title.</span><pre>setPromptTitle</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setShowDropDown" title="setShowDropDown ::Set Show DropDown.">
            <span class="description">Set Show DropDown.</span><pre>setShowDropDown</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setShowErrorMessage" title="setShowErrorMessage ::Set Show ErrorMessage.">
            <span class="description">Set Show ErrorMessage.</span><pre>setShowErrorMessage</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setShowInputMessage" title="setShowInputMessage ::Set Show InputMessage.">
            <span class="description">Set Show InputMessage.</span><pre>setShowInputMessage</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setType" title="setType ::Set Type.">
            <span class="description">Set Type.</span><pre>setType</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>                <li class="constant">
                    <a href="#constant_OPERATOR_BETWEEN" title="OPERATOR_BETWEEN ::">
                        <span class="description"></span><pre>OPERATOR_BETWEEN</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_OPERATOR_EQUAL" title="OPERATOR_EQUAL ::">
                        <span class="description"></span><pre>OPERATOR_EQUAL</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_OPERATOR_GREATERTHAN" title="OPERATOR_GREATERTHAN ::">
                        <span class="description"></span><pre>OPERATOR_GREATERTHAN</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_OPERATOR_GREATERTHANOREQUAL" title="OPERATOR_GREATERTHANOREQUAL ::">
                        <span class="description"></span><pre>OPERATOR_GREATERTHANOREQUAL</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_OPERATOR_LESSTHAN" title="OPERATOR_LESSTHAN ::">
                        <span class="description"></span><pre>OPERATOR_LESSTHAN</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_OPERATOR_LESSTHANOREQUAL" title="OPERATOR_LESSTHANOREQUAL ::">
                        <span class="description"></span><pre>OPERATOR_LESSTHANOREQUAL</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_OPERATOR_NOTBETWEEN" title="OPERATOR_NOTBETWEEN ::">
                        <span class="description"></span><pre>OPERATOR_NOTBETWEEN</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_OPERATOR_NOTEQUAL" title="OPERATOR_NOTEQUAL ::">
                        <span class="description"></span><pre>OPERATOR_NOTEQUAL</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_STYLE_INFORMATION" title="STYLE_INFORMATION ::">
                        <span class="description"></span><pre>STYLE_INFORMATION</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_STYLE_STOP" title="STYLE_STOP ::">
                        <span class="description"></span><pre>STYLE_STOP</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_STYLE_WARNING" title="STYLE_WARNING ::">
                        <span class="description"></span><pre>STYLE_WARNING</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TYPE_CUSTOM" title="TYPE_CUSTOM ::">
                        <span class="description"></span><pre>TYPE_CUSTOM</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TYPE_DATE" title="TYPE_DATE ::">
                        <span class="description"></span><pre>TYPE_DATE</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TYPE_DECIMAL" title="TYPE_DECIMAL ::">
                        <span class="description"></span><pre>TYPE_DECIMAL</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TYPE_LIST" title="TYPE_LIST ::">
                        <span class="description"></span><pre>TYPE_LIST</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TYPE_NONE" title="TYPE_NONE ::">
                        <span class="description"></span><pre>TYPE_NONE</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TYPE_TEXTLENGTH" title="TYPE_TEXTLENGTH ::">
                        <span class="description"></span><pre>TYPE_TEXTLENGTH</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TYPE_TIME" title="TYPE_TIME ::">
                        <span class="description"></span><pre>TYPE_TIME</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TYPE_WHOLE" title="TYPE_WHOLE ::">
                        <span class="description"></span><pre>TYPE_WHOLE</pre>
                    </a>
                </li>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>DataValidation</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___clone"></a>
                        <div class="element clickable methodpublic method___clone" data-toggle="collapse" data-target=".method___clone .collapse">
                            <h2>Implement PHP __clone to create a deep clone, not just a shallow copy.</h2>
                            <pre>__clone()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Create a new DataValidation.</h2>
                            <pre>__construct()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_getAllowBlank"></a>
                        <div class="element clickable methodpublic method_getAllowBlank" data-toggle="collapse" data-target=".method_getAllowBlank .collapse">
                            <h2>Get Allow Blank.</h2>
                            <pre>getAllowBlank(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getError"></a>
                        <div class="element clickable methodpublic method_getError" data-toggle="collapse" data-target=".method_getError .collapse">
                            <h2>Get Error.</h2>
                            <pre>getError(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getErrorStyle"></a>
                        <div class="element clickable methodpublic method_getErrorStyle" data-toggle="collapse" data-target=".method_getErrorStyle .collapse">
                            <h2>Get Error style.</h2>
                            <pre>getErrorStyle(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getErrorTitle"></a>
                        <div class="element clickable methodpublic method_getErrorTitle" data-toggle="collapse" data-target=".method_getErrorTitle .collapse">
                            <h2>Get Error title.</h2>
                            <pre>getErrorTitle(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getFormula1"></a>
                        <div class="element clickable methodpublic method_getFormula1" data-toggle="collapse" data-target=".method_getFormula1 .collapse">
                            <h2>Get Formula 1.</h2>
                            <pre>getFormula1(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getFormula2"></a>
                        <div class="element clickable methodpublic method_getFormula2" data-toggle="collapse" data-target=".method_getFormula2 .collapse">
                            <h2>Get Formula 2.</h2>
                            <pre>getFormula2(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getHashCode"></a>
                        <div class="element clickable methodpublic method_getHashCode" data-toggle="collapse" data-target=".method_getHashCode .collapse">
                            <h2>Get hash code.</h2>
                            <pre>getHashCode(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p><p>Hash code</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getOperator"></a>
                        <div class="element clickable methodpublic method_getOperator" data-toggle="collapse" data-target=".method_getOperator .collapse">
                            <h2>Get Operator.</h2>
                            <pre>getOperator(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getPrompt"></a>
                        <div class="element clickable methodpublic method_getPrompt" data-toggle="collapse" data-target=".method_getPrompt .collapse">
                            <h2>Get Prompt.</h2>
                            <pre>getPrompt(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getPromptTitle"></a>
                        <div class="element clickable methodpublic method_getPromptTitle" data-toggle="collapse" data-target=".method_getPromptTitle .collapse">
                            <h2>Get Prompt title.</h2>
                            <pre>getPromptTitle(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getShowDropDown"></a>
                        <div class="element clickable methodpublic method_getShowDropDown" data-toggle="collapse" data-target=".method_getShowDropDown .collapse">
                            <h2>Get Show DropDown.</h2>
                            <pre>getShowDropDown(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getShowErrorMessage"></a>
                        <div class="element clickable methodpublic method_getShowErrorMessage" data-toggle="collapse" data-target=".method_getShowErrorMessage .collapse">
                            <h2>Get Show ErrorMessage.</h2>
                            <pre>getShowErrorMessage(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getShowInputMessage"></a>
                        <div class="element clickable methodpublic method_getShowInputMessage" data-toggle="collapse" data-target=".method_getShowInputMessage .collapse">
                            <h2>Get Show InputMessage.</h2>
                            <pre>getShowInputMessage(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getType"></a>
                        <div class="element clickable methodpublic method_getType" data-toggle="collapse" data-target=".method_getType .collapse">
                            <h2>Get Type.</h2>
                            <pre>getType(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setAllowBlank"></a>
                        <div class="element clickable methodpublic method_setAllowBlank" data-toggle="collapse" data-target=".method_setAllowBlank .collapse">
                            <h2>Set Allow Blank.</h2>
                            <pre>setAllowBlank(boolean $value): \PhpOffice\PhpSpreadsheet\Cell\DataValidation</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Cell.DataValidation.html">\PhpOffice\PhpSpreadsheet\Cell\DataValidation</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setError"></a>
                        <div class="element clickable methodpublic method_setError" data-toggle="collapse" data-target=".method_setError .collapse">
                            <h2>Set Error.</h2>
                            <pre>setError(string $value): \PhpOffice\PhpSpreadsheet\Cell\DataValidation</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Cell.DataValidation.html">\PhpOffice\PhpSpreadsheet\Cell\DataValidation</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setErrorStyle"></a>
                        <div class="element clickable methodpublic method_setErrorStyle" data-toggle="collapse" data-target=".method_setErrorStyle .collapse">
                            <h2>Set Error style.</h2>
                            <pre>setErrorStyle(string $value): \PhpOffice\PhpSpreadsheet\Cell\DataValidation</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p><p>see self::STYLE_*</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Cell.DataValidation.html">\PhpOffice\PhpSpreadsheet\Cell\DataValidation</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setErrorTitle"></a>
                        <div class="element clickable methodpublic method_setErrorTitle" data-toggle="collapse" data-target=".method_setErrorTitle .collapse">
                            <h2>Set Error title.</h2>
                            <pre>setErrorTitle(string $value): \PhpOffice\PhpSpreadsheet\Cell\DataValidation</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Cell.DataValidation.html">\PhpOffice\PhpSpreadsheet\Cell\DataValidation</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setFormula1"></a>
                        <div class="element clickable methodpublic method_setFormula1" data-toggle="collapse" data-target=".method_setFormula1 .collapse">
                            <h2>Set Formula 1.</h2>
                            <pre>setFormula1(string $value): \PhpOffice\PhpSpreadsheet\Cell\DataValidation</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Cell.DataValidation.html">\PhpOffice\PhpSpreadsheet\Cell\DataValidation</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setFormula2"></a>
                        <div class="element clickable methodpublic method_setFormula2" data-toggle="collapse" data-target=".method_setFormula2 .collapse">
                            <h2>Set Formula 2.</h2>
                            <pre>setFormula2(string $value): \PhpOffice\PhpSpreadsheet\Cell\DataValidation</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Cell.DataValidation.html">\PhpOffice\PhpSpreadsheet\Cell\DataValidation</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setOperator"></a>
                        <div class="element clickable methodpublic method_setOperator" data-toggle="collapse" data-target=".method_setOperator .collapse">
                            <h2>Set Operator.</h2>
                            <pre>setOperator(string $value): \PhpOffice\PhpSpreadsheet\Cell\DataValidation</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Cell.DataValidation.html">\PhpOffice\PhpSpreadsheet\Cell\DataValidation</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setPrompt"></a>
                        <div class="element clickable methodpublic method_setPrompt" data-toggle="collapse" data-target=".method_setPrompt .collapse">
                            <h2>Set Prompt.</h2>
                            <pre>setPrompt(string $value): \PhpOffice\PhpSpreadsheet\Cell\DataValidation</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Cell.DataValidation.html">\PhpOffice\PhpSpreadsheet\Cell\DataValidation</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setPromptTitle"></a>
                        <div class="element clickable methodpublic method_setPromptTitle" data-toggle="collapse" data-target=".method_setPromptTitle .collapse">
                            <h2>Set Prompt title.</h2>
                            <pre>setPromptTitle(string $value): \PhpOffice\PhpSpreadsheet\Cell\DataValidation</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Cell.DataValidation.html">\PhpOffice\PhpSpreadsheet\Cell\DataValidation</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setShowDropDown"></a>
                        <div class="element clickable methodpublic method_setShowDropDown" data-toggle="collapse" data-target=".method_setShowDropDown .collapse">
                            <h2>Set Show DropDown.</h2>
                            <pre>setShowDropDown(boolean $value): \PhpOffice\PhpSpreadsheet\Cell\DataValidation</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Cell.DataValidation.html">\PhpOffice\PhpSpreadsheet\Cell\DataValidation</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setShowErrorMessage"></a>
                        <div class="element clickable methodpublic method_setShowErrorMessage" data-toggle="collapse" data-target=".method_setShowErrorMessage .collapse">
                            <h2>Set Show ErrorMessage.</h2>
                            <pre>setShowErrorMessage(boolean $value): \PhpOffice\PhpSpreadsheet\Cell\DataValidation</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Cell.DataValidation.html">\PhpOffice\PhpSpreadsheet\Cell\DataValidation</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setShowInputMessage"></a>
                        <div class="element clickable methodpublic method_setShowInputMessage" data-toggle="collapse" data-target=".method_setShowInputMessage .collapse">
                            <h2>Set Show InputMessage.</h2>
                            <pre>setShowInputMessage(boolean $value): \PhpOffice\PhpSpreadsheet\Cell\DataValidation</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Cell.DataValidation.html">\PhpOffice\PhpSpreadsheet\Cell\DataValidation</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setType"></a>
                        <div class="element clickable methodpublic method_setType" data-toggle="collapse" data-target=".method_setType .collapse">
                            <h2>Set Type.</h2>
                            <pre>setType(string $value): \PhpOffice\PhpSpreadsheet\Cell\DataValidation</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Cell.DataValidation.html">\PhpOffice\PhpSpreadsheet\Cell\DataValidation</a></code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-constant"></i> Constants</h3>                            <a id="constant_TYPE_NONE"> </a>
                            <div class="element clickable constant constant_TYPE_NONE" data-toggle="collapse" data-target=".constant_TYPE_NONE .collapse">
                                <h2>TYPE_NONE</h2>
                                <pre>TYPE_NONE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TYPE_CUSTOM"> </a>
                            <div class="element clickable constant constant_TYPE_CUSTOM" data-toggle="collapse" data-target=".constant_TYPE_CUSTOM .collapse">
                                <h2>TYPE_CUSTOM</h2>
                                <pre>TYPE_CUSTOM</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TYPE_DATE"> </a>
                            <div class="element clickable constant constant_TYPE_DATE" data-toggle="collapse" data-target=".constant_TYPE_DATE .collapse">
                                <h2>TYPE_DATE</h2>
                                <pre>TYPE_DATE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TYPE_DECIMAL"> </a>
                            <div class="element clickable constant constant_TYPE_DECIMAL" data-toggle="collapse" data-target=".constant_TYPE_DECIMAL .collapse">
                                <h2>TYPE_DECIMAL</h2>
                                <pre>TYPE_DECIMAL</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TYPE_LIST"> </a>
                            <div class="element clickable constant constant_TYPE_LIST" data-toggle="collapse" data-target=".constant_TYPE_LIST .collapse">
                                <h2>TYPE_LIST</h2>
                                <pre>TYPE_LIST</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TYPE_TEXTLENGTH"> </a>
                            <div class="element clickable constant constant_TYPE_TEXTLENGTH" data-toggle="collapse" data-target=".constant_TYPE_TEXTLENGTH .collapse">
                                <h2>TYPE_TEXTLENGTH</h2>
                                <pre>TYPE_TEXTLENGTH</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TYPE_TIME"> </a>
                            <div class="element clickable constant constant_TYPE_TIME" data-toggle="collapse" data-target=".constant_TYPE_TIME .collapse">
                                <h2>TYPE_TIME</h2>
                                <pre>TYPE_TIME</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TYPE_WHOLE"> </a>
                            <div class="element clickable constant constant_TYPE_WHOLE" data-toggle="collapse" data-target=".constant_TYPE_WHOLE .collapse">
                                <h2>TYPE_WHOLE</h2>
                                <pre>TYPE_WHOLE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_STYLE_STOP"> </a>
                            <div class="element clickable constant constant_STYLE_STOP" data-toggle="collapse" data-target=".constant_STYLE_STOP .collapse">
                                <h2>STYLE_STOP</h2>
                                <pre>STYLE_STOP</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_STYLE_WARNING"> </a>
                            <div class="element clickable constant constant_STYLE_WARNING" data-toggle="collapse" data-target=".constant_STYLE_WARNING .collapse">
                                <h2>STYLE_WARNING</h2>
                                <pre>STYLE_WARNING</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_STYLE_INFORMATION"> </a>
                            <div class="element clickable constant constant_STYLE_INFORMATION" data-toggle="collapse" data-target=".constant_STYLE_INFORMATION .collapse">
                                <h2>STYLE_INFORMATION</h2>
                                <pre>STYLE_INFORMATION</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_OPERATOR_BETWEEN"> </a>
                            <div class="element clickable constant constant_OPERATOR_BETWEEN" data-toggle="collapse" data-target=".constant_OPERATOR_BETWEEN .collapse">
                                <h2>OPERATOR_BETWEEN</h2>
                                <pre>OPERATOR_BETWEEN</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_OPERATOR_EQUAL"> </a>
                            <div class="element clickable constant constant_OPERATOR_EQUAL" data-toggle="collapse" data-target=".constant_OPERATOR_EQUAL .collapse">
                                <h2>OPERATOR_EQUAL</h2>
                                <pre>OPERATOR_EQUAL</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_OPERATOR_GREATERTHAN"> </a>
                            <div class="element clickable constant constant_OPERATOR_GREATERTHAN" data-toggle="collapse" data-target=".constant_OPERATOR_GREATERTHAN .collapse">
                                <h2>OPERATOR_GREATERTHAN</h2>
                                <pre>OPERATOR_GREATERTHAN</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_OPERATOR_GREATERTHANOREQUAL"> </a>
                            <div class="element clickable constant constant_OPERATOR_GREATERTHANOREQUAL" data-toggle="collapse" data-target=".constant_OPERATOR_GREATERTHANOREQUAL .collapse">
                                <h2>OPERATOR_GREATERTHANOREQUAL</h2>
                                <pre>OPERATOR_GREATERTHANOREQUAL</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_OPERATOR_LESSTHAN"> </a>
                            <div class="element clickable constant constant_OPERATOR_LESSTHAN" data-toggle="collapse" data-target=".constant_OPERATOR_LESSTHAN .collapse">
                                <h2>OPERATOR_LESSTHAN</h2>
                                <pre>OPERATOR_LESSTHAN</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_OPERATOR_LESSTHANOREQUAL"> </a>
                            <div class="element clickable constant constant_OPERATOR_LESSTHANOREQUAL" data-toggle="collapse" data-target=".constant_OPERATOR_LESSTHANOREQUAL .collapse">
                                <h2>OPERATOR_LESSTHANOREQUAL</h2>
                                <pre>OPERATOR_LESSTHANOREQUAL</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_OPERATOR_NOTBETWEEN"> </a>
                            <div class="element clickable constant constant_OPERATOR_NOTBETWEEN" data-toggle="collapse" data-target=".constant_OPERATOR_NOTBETWEEN .collapse">
                                <h2>OPERATOR_NOTBETWEEN</h2>
                                <pre>OPERATOR_NOTBETWEEN</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_OPERATOR_NOTEQUAL"> </a>
                            <div class="element clickable constant constant_OPERATOR_NOTEQUAL" data-toggle="collapse" data-target=".constant_OPERATOR_NOTEQUAL .collapse">
                                <h2>OPERATOR_NOTEQUAL</h2>
                                <pre>OPERATOR_NOTEQUAL</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_formula1"> </a>
                            <div class="element clickable propertyprivate property_formula1" data-toggle="collapse" data-target=".property_formula1 .collapse">
                                <h2>Formula 1.</h2>
                                <pre>formula1 :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_formula2"> </a>
                            <div class="element clickable propertyprivate property_formula2" data-toggle="collapse" data-target=".property_formula2 .collapse">
                                <h2>Formula 2.</h2>
                                <pre>formula2 :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_type"> </a>
                            <div class="element clickable propertyprivate property_type" data-toggle="collapse" data-target=".property_type .collapse">
                                <h2>Type.</h2>
                                <pre>type :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_errorStyle"> </a>
                            <div class="element clickable propertyprivate property_errorStyle" data-toggle="collapse" data-target=".property_errorStyle .collapse">
                                <h2>Error style.</h2>
                                <pre>errorStyle :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_operator"> </a>
                            <div class="element clickable propertyprivate property_operator" data-toggle="collapse" data-target=".property_operator .collapse">
                                <h2>Operator.</h2>
                                <pre>operator :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_allowBlank"> </a>
                            <div class="element clickable propertyprivate property_allowBlank" data-toggle="collapse" data-target=".property_allowBlank .collapse">
                                <h2>Allow Blank.</h2>
                                <pre>allowBlank :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_showDropDown"> </a>
                            <div class="element clickable propertyprivate property_showDropDown" data-toggle="collapse" data-target=".property_showDropDown .collapse">
                                <h2>Show DropDown.</h2>
                                <pre>showDropDown :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_showInputMessage"> </a>
                            <div class="element clickable propertyprivate property_showInputMessage" data-toggle="collapse" data-target=".property_showInputMessage .collapse">
                                <h2>Show InputMessage.</h2>
                                <pre>showInputMessage :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_showErrorMessage"> </a>
                            <div class="element clickable propertyprivate property_showErrorMessage" data-toggle="collapse" data-target=".property_showErrorMessage .collapse">
                                <h2>Show ErrorMessage.</h2>
                                <pre>showErrorMessage :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_errorTitle"> </a>
                            <div class="element clickable propertyprivate property_errorTitle" data-toggle="collapse" data-target=".property_errorTitle .collapse">
                                <h2>Error title.</h2>
                                <pre>errorTitle :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_error"> </a>
                            <div class="element clickable propertyprivate property_error" data-toggle="collapse" data-target=".property_error .collapse">
                                <h2>Error.</h2>
                                <pre>error :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_promptTitle"> </a>
                            <div class="element clickable propertyprivate property_promptTitle" data-toggle="collapse" data-target=".property_promptTitle .collapse">
                                <h2>Prompt title.</h2>
                                <pre>promptTitle :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_prompt"> </a>
                            <div class="element clickable propertyprivate property_prompt" data-toggle="collapse" data-target=".property_prompt .collapse">
                                <h2>Prompt.</h2>
                                <pre>prompt :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Cell\DataValidation"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Cell.html">Cell</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Cell.DataValidation.html">DataValidation</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:55 +0000.<br/>
    </footer></body>
</html>
